FreeMat

- Main Page
- Related Pages

vtkPrimitivePainter

Section: Visualization Toolkit Rendering Classes

# Usage

This is the abstract superclass for classes that handle single type of primitive i.e. verts, lines, polys or tstrips. Concrete subclasses will pass a Render() call to the delegate painter, if any, only if it could not render. .SECTION Thanks Support for generic vertex attributes in VTK was contributed in collaboration with Stephane Ploix at EDF.

To create an instance of class vtkPrimitivePainter, simply invoke its constructor as follows

      obj = vtkPrimitivePainter

# Methods

The class vtkPrimitivePainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPrimitivePainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPrimitivePainter = obj.NewInstance ()`
- `vtkPrimitivePainter = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetSupportedPrimitive ()` - Get the type of primitive supported by this painter. This must be set by concrete subclasses.